HTOP(1)

NAME
htop - convert a HMMER ASCII-formatted HMM into an equivalent PROSITE profile

SYNOPSIS

htop
    [ -fhilos ] [ -B norm_logbase ] [ -C cut_off ] [ -F multiplier ] [ -H init/term_score ] [ -L score_logbase ] [ -M nb_unprotect ] [ -P percent_unprotect ] [ -Q odds_ratio ] hmm_file | - [ random_model ] [ parameters ]

DESCRIPTION
htop converts a hidden Markov model (HMM) into an equivalent PROSITE formatted generalized profile. The input hmm_file is a nucleic acid or protein HMM in HMMER ASCII-format. The random_model file contains a simple null-model in the format used by the HMM search programs of the HMMER1 package. This random model is only effective in conjunction with the -o option (old HMMER1 format). If omitted, a random model consisting of the average residue probabilities of the insert states will be used.

OPTIONS

hmm_file
    Input HMM ASCII-file. By default, htop expects a HMMER2 formatted HMM. If the option -o is set, the file should be in HMMER1 ASCII format. If the filename is replaced by a '-', htop will read the input HMM from stdin.

random_model
    Input random model file. Only used in conjunction with HMMER1 HMMs (see option -o). This file should contain a simple null-model using the same residue alphabet as the hmm_file.

-f  Emulate HMM fragment search (only effective with old HMMER1 format). When given as input to the pftools programs pfsearch(1) or pfscan(1), the resulting profile will behave like the original HMM searched with the HMMER1 program hmmfs. The default mode is to emulate HMM local search implemented in the HMMER1 program hmmls.

-h  Display usage help text.

-i  Force all insert extension scores to be zero.

-l  Remove output line length limit. Individual lines of the output profile can exceed a length of 132 characters, removing the need to wrap them over several lines.

-o  Assume input to be in old HMMER1 ASCII format. Since version 2.2, the pftools assume by default the HMMER2 format.

-s  Implement semiglobal alignment mode. This option forces all external initiation scores to be identical to the internal initiation score at the beginning of the profile. Likewise, the external termination scores are set to the value of the internal termination score at the end of the profile.

-B norm_logbase
    Logarithmic base to be used for normalization of profile match scores (only effective with old HMMER1 format).
    Default: 2.0

-C cut_off
    Level zero cut-off value in normalized score units.
    Default: 8.5 (or 0.0 in conjunction with option -o)

-F multiplier
    Output score multiplier. On output, all profile scores are multiplied by this factor and rounded to the nearest integers.
    Only effective with HMMER2 format.
    Default: 100

-H init/term_score
    High-cost initiation/termination score (only effective in conjunction with -s option). This score will be applied to all external and internal initiation and termination scores at path matrix positions where initiation or termination at low cost is not possible according to semiglobal alignment mode.
    Default: * (low-value)

-L score_logbase
    Logarithmic base to be used for representation of profile scores (only effective in conjunction with old HMMER1 format).
    Default: 1.0233739 (1/30 bit units)

-M nb_unprotect
    Maximal number of unprotected residues at the ends of the profile.
    Type: integer
    Default: 5 (meaning that the protected region starts at position 6).

-P percent_unprotect
    Percent profile-length at the ends of the profile, which will not be included in the protected area.
    Type: real
    Default: 0 (range 0 to 100)

-Q odds_ratio
    Position-independent odds ratio assumed for unknown residues. This parameter determines the default values for profile scores M0 and I0. Note that the I0 scores may be over-written by the -i option.
    Default: 0.8

PARAMETERS

Note:
    for backwards compatibility, release 2.3 of the pftools package will parse the version 2.2 style parameters, but these are deprecated and the corresponding option (refer to the options section) should be used instead.

B=# Match score logarithmic base.
    Use option -B instead.

C=# Level zero cut-off.
    Use option -C instead.

F=# Output score multiplier.
    Use option -F instead.

H=# High-cost init/term score.
    Use option -H instead.

L=# Profile scores logarithmic base.
    Use option -L instead.

M=# Maximal number of unprotected residues.
    Use option -M instead.

P=# Percentage of unprotected residues.
    Use option -P instead.

Q=# Unknown residues odds ratio.
    Use option -Q instead.

EXAMPLES

(1) htop pfam_sh3.hmm > pfam_sh3.prf

    Converts the HHMER2 formatted SH3 domain profile 'pfam_sh3.hmm' into a generalized PROSITE profile. After this conversion, the following two commands:

    hmmsearch --null2 pfam_sh3.hmm sh3.seq
    pfsearch -fy -C 5.0 pfam_sh3.prf sh3.seq

    should produce equivalent results in terms of raw scores and profile-sequence alignments (E-values and normalized scores will usually be different). Note that the program hmmsearch is from Sean Eddy's HMMER2 package (http://hmmer.wustl.edu/).

EXIT CODE

On successful completion of its task, htop will return an exit code of 0. If an error occurs, a diagnostic message will be output on standard error and the exit code will be different from 0. When conflicting options where passed to the program but the task could nevertheless be completed, warnings will be issued on standard error.

SEE ALSO
pfsearch(1), HMMER documentation

AUTHOR
The pftools package was developed by Philipp Bucher.
Any comments or suggestions should be addressed to <pftools@sib.swiss>.